Bug 1570367 - Display configuration for displaylink(usb) connected display blocks display
Summary: Display configuration for displaylink(usb) connected display blocks display
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 11:36 UTC by GroovieMan
Modified: 2019-04-16 22:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-31 11:21:22 UTC
Type: Bug


Attachments (Terms of Use)

Description GroovieMan 2018-04-22 11:36:34 UTC
Description of problem:
In order to configure a display, that has been connected using any displaylink(usb) adapter, you can use the dialog in "System Settings/Display and Monitor". Recently mounted displays as not activated. When you activate them, the display gets dark does not get out of it unless you unplug the USB-displaylink adapter from your computer.
Under the cinnamon (i believe also gnome) that works without any problem and you get you monitors running. Some weeks ago this was also possible with KDE. 

Version-Release number of selected component (if applicable):
- system softe fully updated F27
- and display driver from https://github.com/displaylink-rpm/displaylink-rpm

How reproducible:
Any time!

Steps to Reproduce:
1. connect the usb device with you computer 
2. in the dialog "System Settings/Display and Monitor" you will notice some new monitors
3. adjust the monitor-positiion/resolution and activate the monitor(s) and subtmit the changes pressing ok
4. all screens gets dark and will not come back, unless you do not drop the USB-device your computer 
Actual results:


Expected results:
My changes should be accepted, similar to the config in cinnamon and gnome

Additional info:
There is a work-a-round:

1) use cinnamon (gnome) and perform the monitor configuration, 
2) log out and 
3) log-in again with the selected KDE/Plasma session. You can now perform the monitor configuration as you would expect it.

Comment 1 GroovieMan 2018-10-31 11:21:22 UTC
disappeared

Comment 2 Zdenek Sedlak 2019-04-16 22:38:51 UTC
Reproducible on Fedora 29


Note You need to log in before you can comment on or make changes to this bug.